HeaderTitle EQUS "\"RST\""

include "common/defines.inc"

OverrideRst00 = 1
OverrideRst08 = 1
OverrideRst10 = 1
OverrideRst18 = 1
OverrideRst20 = 1
OverrideRst28 = 1
OverrideRst30 = 1
OverrideRst38 = 1

include "common/header.inc"
include "common/functions.inc"

SECTION "rst00", ROM0[$0000]
	ld hl, $8030
	call fillTile
	ret

SECTION "rst08", ROM0[$0008]
	ld hl, $8050
	call fillTile
	ret

SECTION "rst10", ROM0[$0010]
	ld hl, $8070
	call fillTile
	ret

SECTION "rst18", ROM0[$0018]
	ld hl, $8090
	call fillTile
	ret

SECTION "rst20", ROM0[$0020]
	ld hl, $8100
	call fillTile
	ret

SECTION "rst28", ROM0[$0028]
	ld hl, $8120
	call fillTile
	ret

SECTION "rst30", ROM0[$0030]
	ld hl, $8140
	call fillTile
	ret

SECTION "rst38", ROM0[$0038]
	ld hl, $8160
	call fillTile
	ret

SECTION "home", ROM0
ProgramStart:
	call waitVBlank
	call clearLogo

	ld b, $ff
	call waitVBlank
	rst $00
	call waitVBlank
	rst $08
	call waitVBlank
	rst $10
	call waitVBlank
	rst $18
	call waitVBlank
	rst $20
	call waitVBlank
	rst $28
	call waitVBlank
	rst $30
	call waitVBlank
	rst $38

loop:
	jr loop
