HeaderTitle EQUS "\"VBLANKINT\""

include "common/defines.inc"

OverrideIntVblank = 1
include "common/header.inc"

SECTION "intVblank", ROM0
	ld a, [hl]
	xor a, $ff
	ld [hli], a
	reti

SECTION "home", ROM0
ProgramStart:
	ld a, %00011011
	ld [$ff47], a

	ei
	ld a, %11100001
	ld [$ffff], a

	ld a, 127
	ld b, 0
.reset:
	ld hl, $8010
	ld d, 48 * 4

.loop:
	halt
	dec d
	jr z, .reset
	jr .loop
