;
; Overrides
;
OverrideRst00 = 0
OverrideRst08 = 0
OverrideRst10 = 0
OverrideRst18 = 0
OverrideRst20 = 0
OverrideRst28 = 0
OverrideRst30 = 0
OverrideRst38 = 0

OverrideIntVblank = 0
OverrideIntLcdc = 0
OverrideIntTimer = 0
OverrideIntSerial = 0
OverrideIntJoypad = 0

OverrideHeaderJump = 0

; Flags
ZeroFlag = 7
SubtractFlag = 6
HalfCarryFlag = 5
CarryFlag = 4

; ===========
; HEADER DEFS
; ===========
;
; CGB Flag
;
CgbUnsupported EQU $00
CgbCompatible EQU $80
CgbOnly EQU $C00

HeaderCgbFlag = CgbUnsupported

;
; SGB Flag
;
SgbUnsupported EQU $00
SgbSupported EQU $03

HeaderSgbFlag = SgbUnsupported

;
; Cartridge Type
;
CartRomOnly EQU $00
CartMbc1 EQU $01
CartMbc1Ram EQU $02
CartMbc1Battery EQU $03
CartMbc2 EQU $05
CartMbc2Battery EQU $06
CartRomRam EQU $08
CartRomBattery EQU $09
CartMmm01 EQU $0B
CartMmm01Ram EQU $0C
CartMmm01RamBattery EQU $0D
CartMbc3TimerBattery EQU $0F
CartMbc3TimerRamBattery EQU $10
CartMbc3 EQU $11
CartMbc3Ram EQU $12
CartMbc3RamBattery EQU $13
CartMbc4 EQU $15
CartMbc4Ram EQU $16
CartMbc4RamBattery EQU $17
CartMbc5 EQU $19
CartMbc5Ram EQU $1A
CartMbc5RamBattery EQU $1B
CartMbc5Rumble EQU $1C
CartMbc5RumbleRam EQU $1D
CartMbc5RumbleRamBattery EQU $1E
CartPocketCamera EQU $FC
CartBandaiTama5 EQU $FD
CartHuc3 EQU $FE
CartHuc1RamBattery EQU $ff

HeaderCartType = CartRomOnly

;
; ROM Size
;
Rom32K EQU $00
Rom64K EQU $01
Rom128K EQU $02
Rom256K EQU $03
Rom512K EQU $04
Rom1024K EQU $05
Rom2048K EQU $06
Rom4096K EQU $07
Rom1152K EQU $52
Rom1280K EQU $53
Rom1536K EQU $54

HeaderRomSize = Rom32K

;
; RAM Size
;
RamNone EQU $00
Ram2K EQU $01
Ram8K EQU $02
Ram32K EQU $02

HeaderRamSize = RamNone

;
; Destination Code
;
DestinationJapan EQU $00
DestinationInternational EQU $01

HeaderDestinationCode = DestinationInternational

;
; Old Licensee Code
;
HeaderOldLicensee = $33

;
; Mask ROM Version
;
HeaderMaskRomVersion = $00
